%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function calculates the NPV value of each fleet alternative
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [NPV_Fleets,Flow] = Calculate_NPV(Fleet_Cost_CAPEX,Fleet_Cost_OPEX)

%Discount rate
discount_rate = 0.04;
%Time horizon
t = 20; 

%Initialize
[A,B] = size(Fleet_Cost_CAPEX);
Flow = zeros(A,t); 
Cash_flow = zeros(A,1);
NPV_Fleets = zeros(A,1);


%Calculate NPV for all fleets
for i = 1:A
    for j = 1:t
        Flow(i,j) = ((Fleet_Cost_OPEX(i))/....
                 (1+discount_rate)^j);
        Cash_flow(i,1) = sum(Flow(i,:));
        NPV_Fleets(i,1) = (-Fleet_Cost_CAPEX(i,1) + Cash_flow(i,1));
    end %end j
end %end i