%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%,%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function creates all epochs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 function [Epoch_Space] = Create_Epoch_Space()

%Create geographic development epoch variables
%Fishery development
Fishery_Activity = [0,1];
Geographic_Spread = [0,1];
 
%Create mission priorities epoch variables based on activity development
Mission_Arctic = [0,1]; 
Mission_Environmental = [0,1];
Mission_Tugging = [0,1];

%Create all possible epochs
Epoch_Vars = {Fishery_Activity,Geographic_Spread,Mission_Arctic,...
              Mission_Environmental,Mission_Tugging};
[a b c d e  ] = ndgrid(Epoch_Vars{:});

%Create epoch space
Epoch_Space_infeasible = [a(:) b(:) c(:) d(:) e(:)];

%Refernce to Epoch number and epoch variable
[Epoch_number,Epoch_variabels]=size(Epoch_Space_infeasible);
%Total number of epoch varialbes
Epoch = ones(Epoch_number,1);
%
%Create feasible epoch space
 Epoch_Space=[];
    for i = 1:Epoch_number
        if Epoch(i) == 1
             Epoch_Space = [Epoch_Space_infeasible(i,:); Epoch_Space];
        end
        
        
    end

 end