%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% THIS FUNCTION MAPS ALL FEASIBLE FLEET COMBINATIONS BASED ON THE 
%% FEASIBLE DESIGN SPACE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function[Fleet_Space] = Create_Fleet_Space(Fleet_Space_Infeasible)
                        
%Refernce to fleet number and vessel number
[fleet_number,vessel_number]=size(Fleet_Space_Infeasible);

%Total number of fleet compositions
Fleet = ones(fleet_number,1);

%Remove all fleet compositions that are not feasible
%A fleet must consists of more than 3 vessel
for i = 1:fleet_number
   
    %Remove all empty rows.
     if sum(Fleet_Space_Infeasible(i,:)) == 0
         Fleet(i) = 0;
     end
          
    %The total number of vessel in a fleet can be at most 9
    if sum(Fleet_Space_Infeasible(i,:)) >=9
        Fleet(i) = 0;
    end  
    
    %A fleet must consist of at least 5 vessels
    if sum(Fleet_Space_Infeasible(i,:)) <= 4
        Fleet(i) = 0;
    end  
    
        %A fleet must consist of at least 1 ice-breaking vessels
    if (Fleet_Space_Infeasible(i,8)) == 0
        Fleet(i) = 0;
    end  
 
        %Remove all fleets that involves fleet without heli capacity
        if ((Fleet_Space_Infeasible(i,1)) ~= 0 ) &&...
           ((Fleet_Space_Infeasible(i,3) < 3) &&...
            (Fleet_Space_Infeasible(i,4) < 3) &&...
            (Fleet_Space_Infeasible(i,6) < 3) &&...
            (Fleet_Space_Infeasible(i,7) < 3) &&...
            (Fleet_Space_Infeasible(i,8) < 3))
           Fleet(i) = 0;
        end
        
        if ((Fleet_Space_Infeasible(i,2)) ~= 0 ) &&...
           ((Fleet_Space_Infeasible(i,3) < 3) &&...
            (Fleet_Space_Infeasible(i,4) < 3) &&...
            (Fleet_Space_Infeasible(i,6) < 3) &&...
            (Fleet_Space_Infeasible(i,7) < 3) &&...
            (Fleet_Space_Infeasible(i,8) < 3))
           Fleet(i) = 0;
        end           
  
 
        if ((Fleet_Space_Infeasible(i,5)) ~= 0 ) &&...
           ((Fleet_Space_Infeasible(i,3) < 3) &&...
            (Fleet_Space_Infeasible(i,4) < 3) &&...
            (Fleet_Space_Infeasible(i,6) < 3) &&...
            (Fleet_Space_Infeasible(i,7) < 3) &&...
            (Fleet_Space_Infeasible(i,8) < 3))
           Fleet(i) = 0;
        end       
        
        %Remove all fleets that involves single vessels EXCEPT ice-breakers
        if (Fleet_Space_Infeasible(i,1) == 1) ||...
             (Fleet_Space_Infeasible(i,2) == 1) ||...   
             (Fleet_Space_Infeasible(i,3) == 1) ||...
             (Fleet_Space_Infeasible(i,4) == 1) ||...
             (Fleet_Space_Infeasible(i,5) == 1) ||...
             (Fleet_Space_Infeasible(i,6) == 1) ||...
             (Fleet_Space_Infeasible(i,7) == 1)  
         Fleet(i) = 0;
        end
        


end
    

 
    


% Create feasible fleet Space
 Fleet_Space=[];
   for i = 1:fleet_number
        if Fleet(i) == 1;
             Fleet_Space = [Fleet_Space_Infeasible(i,:); Fleet_Space];
        end
   end

%Create output variabel of all feasible fleets   
Fleet_Space = Fleet_Space;

end