%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function creates the weights for the MAU function
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Weights] = Create_Weights_MAU(Epoch_Space);
%Initialize array for weights
[Epoch_number,Epoch_variable] = size(Epoch_Space);
[Weights] = zeros(Epoch_number,9);

%Create weights
for i = 1:Epoch_number
    for j = 1:Epoch_variable 
 %% All epoch variables equal 1
    if ((Epoch_Space(i,(1:5)) == 1))           
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 1/15;  %Speed                                 
        Weights(i,3) = 1/15;  %Crew
        Weights(i,4) = 0.2;  %Helicopter
        Weights(i,5) = 1/15; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.1;  %Ice
        Weights(i,8) = 0.1;  %Oil recovery  
        Weights(i,9) = 0.1;  %Tugging    
    end 
    
    %Fishery acticty low and geo spread high, high ice, oil.rec and tugging
    if ((Epoch_Space(i,1) == 0)& (Epoch_Space(i,2)== 1) &...
             (Epoch_Space(i,3)== 1)& (Epoch_Space(i,4)==1)&...
             (Epoch_Space(i,5)==1))
        Weights(i,1) = 0.1;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.2;  %Ice
        Weights(i,8) = 0.2;  %Oil recovery  
        Weights(i,9) = 0.2;  %Tugging  
   
    end
    
    %Fishery acticty high and geo spread low, high ice, oil.rec and tugging
    if ((Epoch_Space(i,1) == 1)& (Epoch_Space(i,2)== 0) &...
             (Epoch_Space(i,3)== 1)& (Epoch_Space(i,4)==1)&...
             (Epoch_Space(i,5)==1))
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.15;  %Sensors
        Weights(i,7) = 0.2;  %Ice
        Weights(i,8) = 0.2;  %Oil recovery  
        Weights(i,9) = 0.2;  %Tugging  
   
    end
    
    %Fishery acticty low and geo spread low, high ice, oil.rec and tugging
        if ((Epoch_Space(i,1) == 0)& (Epoch_Space(i,2)== 0) &...
             (Epoch_Space(i,3)== 1)& (Epoch_Space(i,4)==1)&...
             (Epoch_Space(i,5)==1))
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.05;  %Sensors
        Weights(i,7) = 0.3;  %Ice
        Weights(i,8) = 0.3;  %Oil recovery  
        Weights(i,9) = 0.3;  %Tugging  
   
    end
    %% Fishery activity weightings
    %If fischery activityis low, and geo. spread is low and all other
    %epoch variables are low (equal to 0) the following weightings are
    %given
    if ((Epoch_Space(i,1) == 0)& (Epoch_Space(i,2)== 0) &...
             (Epoch_Space(i,3)== 0)& (Epoch_Space(i,4)==0)&...
             (Epoch_Space(i,5)==0))
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.2;  %Helicopter
        Weights(i,5) = 0.2; %Smallboat
        Weights(i,6) = 0.5;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging  
    end 
%     
    %If fischery activities high, and geo. spread is low and all other
    %epoch variables equal 0, the following weightings are given
    if  ((Epoch_Space(i,1) == 1)& (Epoch_Space(i,2)== 0) &...
             (Epoch_Space(i,3)== 0)& (Epoch_Space(i,4)==0)&...
             (Epoch_Space(i,5)==0))
        Weights(i,1) = 0.1;  %Range       
        Weights(i,2) = 0.1;  %Speed                                 
        Weights(i,3) = 0.2;  %Crew
        Weights(i,4) = 0.25;  %Helicopter
        Weights(i,5) = 0.1; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging  
    end 
    
    %If fischery activities low, and geo. spread is high
    %the following weightings are given
    if  ((Epoch_Space(i,1) == 0)& (Epoch_Space(i,2)== 1) &...
             (Epoch_Space(i,3)== 0)& (Epoch_Space(i,4)==0)&...
             (Epoch_Space(i,5)==0))
        Weights(i,1) = 0.3;  %Range       
        Weights(i,2) = 0.1;  %Speed                                 
        Weights(i,3) = 00.1;  %Crew
        Weights(i,4) = 0.2;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging   
    end
    
    %If fischery activities high, and geo. spread is high
    %the following weightings are given
    if  ((Epoch_Space(i,1) == 1)& (Epoch_Space(i,2)== 1) &...
             (Epoch_Space(i,3)== 0)& (Epoch_Space(i,4)==0)&...
             (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.4;  %Range       
        Weights(i,2) = 0.1;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.25;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.15;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging  
    end
%% 100
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 0
    %If fischery activityis low, and geo. spread is low.  
    if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 0) &...
        (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
        (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.1;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.4;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging  
     end
   
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 0
    %If fischery activityis high, and geo. spread is low.
    if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 0) &...
        (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
        (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.1;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.4;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging
    end
      
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 0
    %If fischery activityis low, and geo. spread is high.
     if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 1) &...
        (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
        (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.15;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.4;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging      
      end
        
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 0
    %If fischery activityis high, and geo. spread is high.    
     if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 1) &...
        (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
        (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.2;  %Helicopter
        Weights(i,5) = 0.; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0.4;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging 
     end 
        
%% 110 00
    %Arctic high = 1
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis low, and geo. spread is low.
    if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 0) &...
        (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 1) &...
        (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0.4;  %Ice
        Weights(i,8) = 0.4;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging 
    end
    
    %Arctic high = 1
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis high, and geo. spread is low.
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.05;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0.3;  %Ice
        Weights(i,8) = 0.3;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging 
        end
     
    %Arctic high = 1
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis low, and geo. spread is high.
        if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.15;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.25;  %Ice
        Weights(i,8) = 0.25;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging       
        end

    %Arctic high = 1
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis high, and geo. spread is high.    
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 0.1;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0.25;  %Ice
        Weights(i,8) = 0.25;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging       
        end 
        
%% 10100 
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis low, and geo. spread is low.
    if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0.4;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.4;  %Tugging     
    end
    
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis high, and geo. spread is low.
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.05;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0.3;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.3;  %Tugging 
        end
      
     %Arctic high = 1
     %Oil recovery low = 0
     %Tugging low = 1
     %If fischery activityis low, and geo. spread is high.
        if  ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0.15;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0.25;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.25;  %Tugging      
        end         

        
    %Arctic high = 1
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis high, and geo. spread is high.    
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 1) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 0.1;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0.25;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.25;  %Tugging 
        end 
%         
%% 01100    

    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 1
    %If fischery activityis low, and geo. spread is low.
    if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.4;  %Oil recovery  
        Weights(i,9) = 0.4;  %Tugging  
    
    end
    
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 1
    %If fischery activityis high, and geo. spread is low.
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.05;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.3;  %Oil recovery  
        Weights(i,9) = 0.3;  %Tugging 
        end
     
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 1
    %If fischery activityis low, and geo. spread is high.
        if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0.15;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.25;  %Oil recovery  
        Weights(i,9) = 0.25;  %Tugging          
        end
        
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 1
    %If fischery activityis high, and geo. spread is high.    
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 0.1;  %Speed                                 
        Weights(i,3) = 0;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.25;  %Oil recovery  
        Weights(i,9) = 0.25;  %Tugging 
        end 
        
%% 01000
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis low, and geo. spread is low.
    if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.5;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging      
    end
   
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis high, and geo. spread is low.
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.45;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging
        end
    
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis low, and geo. spread is high.
        if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.15;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.4;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging          
        end
        
    %Arctic high = 0
    %Oil recovery low = 1
    %Tugging low = 0
    %If fischery activityis high, and geo. spread is high.    
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 1) &...
            (Epoch_Space(i,5)==0))  
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.2;  %Helicopter
        Weights(i,5) = 0.; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0.4;  %Oil recovery  
        Weights(i,9) = 0;  %Tugging
        end

%% 00100
    %Arctic high = 0
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis low, and geo. spread is low.
    if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.5;  %Tugging       
     end
     
    %Arctic high = 0
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis high, and geo. spread is low.
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 0) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.1;  %Helicopter
        Weights(i,5) = 0.05; %Smallboat
        Weights(i,6) = 0.25;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.45;  %Tugging 
     end
     
    %Arctic high = 0
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis low, and geo. spread is high.
        if ((Epoch_Space(i,1) == 0) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0.15;  %Range       
        Weights(i,2) = 0.05;  %Speed                                 
        Weights(i,3) = 0.05;  %Crew
        Weights(i,4) = 0.15;  %Helicopter
        Weights(i,5) = 0; %Smallboat
        Weights(i,6) = 0.2;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.4;  %Tugging              
        end
       
    %Arctic high = 0
    %Oil recovery low = 0
    %Tugging low = 1
    %If fischery activityis high, and geo. spread is high.    
        if ((Epoch_Space(i,1) == 1) & (Epoch_Space(i,2)== 1) &...
            (Epoch_Space(i,3) == 0) & (Epoch_Space(i,4)== 0) &...
            (Epoch_Space(i,5)==1))  
        Weights(i,1) = 0.2;  %Range       
        Weights(i,2) = 0;  %Speed                                 
        Weights(i,3) = 0.1;  %Crew
        Weights(i,4) = 0.2;  %Helicopter
        Weights(i,5) = 0.; %Smallboat
        Weights(i,6) = 0.1;  %Sensors
        Weights(i,7) = 0;  %Ice
        Weights(i,8) = 0;  %Oil recovery  
        Weights(i,9) = 0.4;  %Tugging
        end
     end %end j
end %end i

end %end function