%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% FIND PARETO FLEETS IN EPOCH 1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 function[Pareto_Set]...
     = Pareto_Solutions_All_Epochs(Epoch_Fleet_Utility,Fleet_Space,...
                                   Fleet_Cost_CAPEX)

Cm = Fleet_Cost_CAPEX;
Um = Epoch_Fleet_Utility;
%Initializing:
[num_epochs,num_fleets] = size(Epoch_Fleet_Utility);

%For each epoch
for e = 1:num_epochs
    %While loop condition
    i = 0;
    %The first element in the pareto array
    k = 1;
    while i == 0
        %Find the maximum utility for each epoch
        [a,b] = max(Epoch_Fleet_Utility(e,:));
        %Adding fleet nr. to the pareto array
        Pareto_Set(e,k) = b;
        %Setting current maximum utility to -1 to avoid rechecking
        Epoch_Fleet_Utility(e,b) = -1;
        %Setting utility of all elements wit a larger cost to -1
        for j = 1:num_fleets
            if Fleet_Cost_CAPEX(j) >= Fleet_Cost_CAPEX(b)
                Epoch_Fleet_Utility(e,j) = -1;
            end
        end
        %Exit while loop when the lowest cost is reached or the max
        %utility is 0
        if (Fleet_Cost_CAPEX(b) == min(Fleet_Cost_CAPEX(:))) || (max(Epoch_Fleet_Utility(e,:)) == 0)
            i = 1;
        end
        %Find the next element inthe pareto array
        k = k+1;
    end
end

Pareto_Set;

% [epoch,pareto_fleets] = size(Pareto_Set);
% 
% for h = 1 %:epoch
% figure(h)
% plot(Cm,Um(h,:),'blo')
% xlabel('Cost [MNOK]')
% ylabel('Utility')
% title(['Tradespace Exploration for Epoch ' num2str(h)])
% end
% 
% 
% Epoch1_Pareto_Designs = [];
% Pareto_utility_Epoch1 = [];
% Pareto_Cost_Epoch1 = [];
% figure(1)
% hold on
% for t = 1:pareto_fleets
%     x = Pareto_Set(1,t);
%     if x ~= 0 %Avoid infeasible fleet designs
%     %Plot the parto front
%     scatter(Cm(x),Um(1,x),'filled', 'MarkerFaceColor','r')
%     %Make an overview of the pareto solutions
%     Epoch1_Pareto_Designs(t,1) = x;
%     Epoch1_Pareto_Designs(t,2:9) = Fleet_Space(x,:);
%     %Collect utility score of pareto solutions
%     Pareto_utility_Epoch1(t,1) = x;
%     Pareto_utility_Epoch1(t,2) = Um(1,x);
%     %Collect cost of pareto solutions
%     Pareto_utility_Epoch1(t,3) = Cm(x);
% %     Pareto_Cost_Epoch1(t,1) = Cm(x);
%     end
%     
% end
end







