%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function calculates all single-attribute utilities for each
%% performance attribute pr. fleet
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function[Range_Utility_Fleet,Speed_Utility_Fleet,Crew_Utility_Fleet,...
    Helicopter_Utility_Fleet,Smallboat_Utility_Fleet,...
    Sensor_Utility_Fleet,Ice_Utility_Fleet,...
    OilRec_Utility_Fleet,Tugging_Utility_Fleet] = SAU(Fleet_Space,...
    Vessel_Score_Range,Vessel_Score_Speed,Vessel_Score_Crew,...
    Vessel_Score_Helicopter,Vessel_Score_Smallboat,Vessel_Score_Sensor,...
    Vessel_Score_Ice,Vessel_Score_OilRec,Vessel_Score_Tugging)

%Initialize matrix dimmensions
[Fleet_number,Vessel_types] = size(Fleet_Space);

%Create multiple unit function to adjust performance if more than one unit
%of a system type is present
phi = [1];
for i = 2:20
    phi(i) = phi(i-1)+(1/(1*i));
end %end loop

%% Initialize range score adjusted pr fleet
Range_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Range_Score_Fleet = zeros(Fleet_number,1);
Range_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Range_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Range(j);  
                   Range_Score_Fleet(i) = sum(Range_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end %end loop i

%Calculate range utility pr. fleet by linear normalization
%from best to worst score
Range_utility_min = 0;
Range_utility_max = max(Range_Score_Fleet);

for i = 1:Fleet_number
      Range_Utility_Fleet(i) = (Range_Score_Fleet(i)-Range_utility_min)/...
          (Range_utility_max-Range_utility_min);
end%end loop

%% Initialize speed score adjusted pr fleet
Speed_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Speed_Score_Fleet = zeros(Fleet_number,1);
Speed_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Speed_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Speed(j);  
                   Speed_Score_Fleet(i) = sum(Speed_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end %end loop i

%Calculate speed utility pr. fleet by linear normalization
%from best to worst score
Speed_utility_min = 0;
Speed_utility_max = max(Speed_Score_Fleet);

for i = 1:Fleet_number
      Speed_Utility_Fleet(i) = (Speed_Score_Fleet(i)-Speed_utility_min)/...
          (Speed_utility_max-Speed_utility_min);
end%end loop


%% Initialize crew score adjusted pr fleet
Crew_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Crew_Score_Fleet = zeros(Fleet_number,1);
Crew_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Crew_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Crew(j);  
                   Crew_Score_Fleet(i) = sum(Crew_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end% end loop i
%Calculate speed utility pr. fleet by linear normalization
%from best to worst score
Crew_utility_min = 0;
Crew_utility_max = max(Crew_Score_Fleet);

for i = 1:Fleet_number
Crew_Utility_Fleet(i) = (Crew_Score_Fleet(i)-Crew_utility_min)/...
(Crew_utility_max-Crew_utility_min);
end %end loop i

%% Initialize helicopter score adjusted pr fleet
Helicopter_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Helicopter_Score_Fleet = zeros(Fleet_number,1);
Helicopter_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Helicopter_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Helicopter(j);  
                   Helicopter_Score_Fleet(i) =...
                       sum(Helicopter_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end % end loop i
%Calculate helicopter utility pr. fleet by linear normalization
%from best to worst score
Helicopter_utility_min = 0;
Helicopter_utility_max = max(Helicopter_Score_Fleet);

for i = 1:Fleet_number
      Helicopter_Utility_Fleet(i) = (Helicopter_Score_Fleet(i)-...
          Helicopter_utility_min)/...
          (Helicopter_utility_max-Helicopter_utility_min);
end %end loop i


%% Initialize smallboat score adjusted pr fleet
Smallboat_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Smallboat_Score_Fleet = zeros(Fleet_number,1);
Smallboat_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Smallboat_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Smallboat(j);  
                   Smallboat_Score_Fleet(i) =...
                       sum(Smallboat_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end % end loop i
%Calculate helicopter utility pr. fleet by linear normalization
%from best to worst score
Smallboat_utility_min = 0;
Smallboat_utility_max = max(Smallboat_Score_Fleet);

for i = 1:Fleet_number
      Smallboat_Utility_Fleet(i) = (Smallboat_Score_Fleet(i)-...
          Smallboat_utility_min)/...
          (Smallboat_utility_max-Smallboat_utility_min);
end %end loop i


%% Initialize sensor score adjusted pr fleet
Sensor_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Sensor_Score_Fleet = zeros(Fleet_number,1);
Sensor_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Sensor_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Sensor(j);  
                   Sensor_Score_Fleet(i) =...
                       sum(Sensor_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end %end loop i

%Calculate sensor utility pr. fleet by linear normalization
%from best to worst score
Sensor_utility_min = 0;
Sensor_utility_max = max(Sensor_Score_Fleet);
for i = 1:Fleet_number
      Sensor_Utility_Fleet(i) = (Sensor_Score_Fleet(i)-...
          Sensor_utility_min)/...
          (Sensor_utility_max-Sensor_utility_min);
end %end loop

%% Initialize ice score adjusted pr fleet
Ice_Score_Infeasible = zeros(Fleet_number,Vessel_types);
Ice_Score_Fleet = zeros(Fleet_number,1);
Ice_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Ice_Score_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Ice(j);  
                   Ice_Score_Fleet(i) =...
                       sum(Ice_Score_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end %end loop i

%Calculate Ice utility pr. fleet by linear normalization
%from best to worst score
Ice_utility_min = 0;
Ice_utility_max = max(Ice_Score_Fleet);
for i = 1:Fleet_number
      Ice_Utility_Fleet(i) = (Ice_Score_Fleet(i)-...
          Ice_utility_min)/...
          (Ice_utility_max-Ice_utility_min);
end %end loop
 
%% Initialize oil recovery score adjusted pr fleet
OilRec_Infeasible = zeros(Fleet_number,Vessel_types);
OilRec_Score_Fleet = zeros(Fleet_number,1);
OilRec_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   OilRec_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_OilRec(j);  
                   OilRec_Score_Fleet(i) =...
                       sum(OilRec_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end %end loop i

% Calculate oil recovery utility pr. fleet by linear normalization
% from best to worst score
OilRec_utility_min = 0;
OilRec_utility_max = max(OilRec_Score_Fleet);
for i = 1:Fleet_number
      OilRec_Utility_Fleet(i) = (OilRec_Score_Fleet(i)-...
          OilRec_utility_min)/...
          (OilRec_utility_max-OilRec_utility_min);
end %end loop

%% Initialize tugging score adjusted pr fleet
Tugging_Infeasible = zeros(Fleet_number,Vessel_types);
Tugging_Score_Fleet = zeros(Fleet_number,1);
Tugging_Utility_Fleet = zeros(Fleet_number,1);
C = 1:10;%number of vessels that can be mapped in a fleet
for i = 1:Fleet_number
      for j = 1:Vessel_types
          for k = 1:length(C)
                if Fleet_Space(i,j) == k
                   Tugging_Infeasible(i,j) =...
                       phi(k)*k*Vessel_Score_Tugging(j);  
                   Tugging_Score_Fleet(i) =...
                       sum(Tugging_Infeasible(i,:));
                end 

          end % end loop k
      end %end loop j
end %end loop i

% Calculate tugging utility pr. fleet by linear normalization
% from best to worst score
Tugging_utility_min = 0;
Tugging_utility_max = max(Tugging_Score_Fleet);
for i = 1:Fleet_number
      Tugging_Utility_Fleet(i) = (Tugging_Score_Fleet(i)-...
          Tugging_utility_min)/...
          (Tugging_utility_max-Tugging_utility_min);
end %end loop

end