%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This function calculates the Multi-Attribute Utility Score for each 
%% Fleet alternative
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function[Epoch_Fleet_Utility] = Utility_Epoch(Range_Utility_Fleet,...
    Speed_Utility_Fleet,Crew_Utility_Fleet,Helicopter_Utility_Fleet,...
    Smallboat_Utility_Fleet,Sensor_Utility_Fleet,Ice_Utility_Fleet,...
    OilRec_Utility_Fleet,Tugging_Utility_Fleet,Weights,Fleet_Space,...
    Patrol_Days_Fleet)



%Initialize loop
[Epoch_number,Weight_constant] = size(Weights);
[Fleet_number,Vessel_number]= size(Fleet_Space);
 Epoch_Fleet_Utility = zeros(Epoch_number,Fleet_number);
 Fleet = ones(Fleet_number,1);
 
 %Caculate utility for each fleet in each epoch
for i = 1:Epoch_number 
    for j = 1:Fleet_number
      
      %Fleet feasibility for epoch 1  
       if i == 1
           %if %((Fleet_Space(j,5) == 0))    
              Epoch_Fleet_Utility(i,j) = 0;
          % else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
          % end
       end
      %Fleet feasibility for epoch 2  
       if i == 2
           %if %((Fleet_Space(j,5) == 0))  
           %   Epoch_Fleet_Utility(i,j) = 0;
          % else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
          % end
       end       
      %Fleet feasibility for epoch 3  
       if i == 3
          % if % ((Fleet_Space(j,5) == 0)) 
            %  Epoch_Fleet_Utility(i,j) = 0;
          % else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
         %  end
       end  
      %Fleet feasibility for epoch 4  
       if i == 4
          % if %((Fleet_Space(j,5) == 0)) 
           %   Epoch_Fleet_Utility(i,j) = 0;
          % else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
          % end
       end       

      %Fleet feasibility for epoch   
       if i == 5
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end       

      %Fleet feasibility for epoch   
       if i == 6
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
      %Fleet feasibility for epoch   
       if i == 7
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
      %Fleet feasibility for epoch 8  
       if i == 8
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
      %Fleet feasibility for epoch 9  
       if i == 9
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 10  
       if i == 10
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
%Fleet feasibility for epoch 11  
       if i == 11
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end  
       
%Fleet feasibility for epoch 12  
       if i == 12
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
    
%Fleet feasibility for epoch 13  
       if i == 13
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
%Fleet feasibility for epoch 14  
       if i == 14
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
%Fleet feasibility for epoch 15  
       if i == 15
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end

%Fleet feasibility for epoch 16  
       if i == 16
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
%Fleet feasibility for epoch 17  
       if i == 17
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end           

%Fleet feasibility for epoch 18  
       if i == 18
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 19  
       if i == 19
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 20  
       if i == 20
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 21  
       if i == 21
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 22  
       if i == 22
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 23  
       if i == 23
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 24  
       if i == 24
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 25  
       if i == 25
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 26  
       if i == 26
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 27  
       if i == 27
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 28  
       if i == 28
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end  
       
%Fleet feasibility for epoch 29  
       if i == 29
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end 
       
%Fleet feasibility for epoch 30 
       if i == 30
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end
       
%Fleet feasibility for epoch 31 
       if i == 31
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end

%Fleet feasibility for epoch 32 
       if i == 32
           if Patrol_Days_Fleet(j) < 0
              Epoch_Fleet_Utility(i,j) = 0;
           else
              R = Weights(i,1);    %Range
              S = Weights(i,2);    %Speed
              C = Weights(i,3);    %Crew
              H = Weights(i,4);    %Helicopter
             SB = Weights(i,5);    %Small Boat capability
             SE = Weights(i,6);   %Sensor capability
              I = Weights(i,7);    %Ice capability
             OR = Weights(i,8);     %Oil recovery capability
             TG = Weights(i,9);     %Tugging capability       
        Epoch_Fleet_Utility(i,j) =...
       (R*Range_Utility_Fleet(j))+...
       (S*Speed_Utility_Fleet(j))+(C*Crew_Utility_Fleet(j))+...
       (SB*Smallboat_Utility_Fleet(j))+(H*Helicopter_Utility_Fleet(j))+...
       (I*Ice_Utility_Fleet(j))+(OR*OilRec_Utility_Fleet(j))+...
       (TG*Tugging_Utility_Fleet(j))+(SE*Sensor_Utility_Fleet(j)); 
           end
       end       
    end
    
end
end